Subject: Re: [bug#76572] [PATCH v2 0/4] Fixes for gnome-shell-extension-gsconnect

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 09 Mar 2025 16:16:36 +0900

Hi!

aurtzy <[email-masked]> writes:

> Hey Maxim,
>
>> > The 'patch-shebangs phase does not handle shebangs of the form
>> > "/usr/bin/env -S", so we manually patch them to fix a not-found error.
>>
>> Oh!  Could you please open an issue about this open so we remember to
>> fix the problem at its root?
>
> [...]
>
>> I'd also mention and cross-reference the newly opened issue about
>> /usr/bin/env -S not being patched here, with e.g.
>> 
>> TODO: Remove after patch-shebangs is fixed to handle '/usr/bin/env -S'
>> shebangs (see bug#NNNNN).
>
> Looks like someone already beat me to it [1]!  Adjusted to reference
> that report.

Excellent, thank you.

[...]

> Thanks for the tip; noted!  I've adjusted the forms where they don't
> cross column 85 (following editorconfig).

Note that our guideline is actually 80 columns maximum.

I've now installed your change to master, thank you!

-- 
Thanks,
Maxim